Bug 183009 - [MAINTAINER] devel/ChipmunkPhysics: update to 6.2.0
[MAINTAINER] devel/ChipmunkPhysics: update to 6.2.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 23:40 UTC by ports
Modified: 2013-11-10 13:30 UTC (History)
0 users

See Also:


Attachments
ChipmunkPhysics-6.2.0.patch (2.27 KB, patch)
2013-11-10 12:36 UTC, ports
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ports 2013-10-15 23:40:00 UTC
- Update to 6.2.0

I've incorporated some of the changes of nemysis's patch (PR ports/180061).

There are multiple reasons why I did not accept (and/or use) the full patch:
- What it lists are `EXAMPLES` are merely HTML documents not meant to be
used on their own, but rather as part of the `DOCS` (via HTML iframes or a
similar mechanism).
- What's listed as `DEMOS` should really be `EXAMPLES`, to be consistent
with the general naming scheme for these options. It is these that are
closer to what's usually considered examples.
- There are multiple dependencies (`glut`, `x11`, `xext`, `xmu`) that are
added even though there is no requirement for them in builds without
examples/demos. This means that the port with 0 dependencies suddenly
depends on GLUT, Xorg and who knows what else. What I intend to do is only
enable these dependencies when required (as in, when the `EXAMPLES` --
formerly `DEMOS` -- option is enabled).

I've tried communicating with nemysis regarding this, but he seemed
reluctant.

I will add the docs and demos (aka examples) soon. I don't know how long
will it take me to sort this out, hence this version-only update.

Generated with FreeBSD Port Tools 0.99_8 (mode: update, diff: ports)

Fix: 

--001a11c2a0ee22859e04e8cf2bd1
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br>&gt;Submitter-Id:=A0=A0=A0 current-users<br>&gt;Origin=
ator:=A0=A0=A0 Tim Cas<br>&gt;Organization:=A0=A0=A0 <br>&gt;Confidential:=
=A0=A0=A0 no <br>&gt;Synopsis:=A0=A0=A0 [MAINTAINER] devel/ChipmunkPhysics:=
 update to 6.2.0<br>&gt;Severity:=A0=A0=A0 non-critical<br>
&gt;Priority:=A0=A0=A0 low<br>&gt;Category:=A0=A0=A0 ports <br>&gt;Class:=
=A0=A0=A0 =A0=A0=A0 maintainer-update<br>&gt;Release:=A0=A0=A0 FreeBSD 9.2-=
RELEASE amd64<br>&gt;Environment:<br>System: FreeBSD tsivm-bsd 9.2-RELEASE =
FreeBSD 9.2-RELEASE #0 r255898: Thu Sep 26 22:50:31 UTC<br>
&gt;Description:<br>- Update to 6.2.0<br><br>I&#39;ve incorporated some of =
the changes of nemysis&#39;s patch (PR ports/180061).<br><br>There are mult=
iple reasons why I did not accept (and/or use) the full patch:<br>- What it=
 lists are `EXAMPLES` are merely HTML documents not meant to be used on the=
ir own, but rather as part of the `DOCS` (via HTML iframes or a similar mec=
hanism).<br>
- What&#39;s listed as `DEMOS` should really be `EXAMPLES`, to be consisten=
t with the general naming scheme for these options. It is these that are cl=
oser to what&#39;s usually considered examples.<br>- There are multiple dep=
endencies (`glut`, `x11`, `xext`, `xmu`) that are added even though there i=
s no requirement for them in builds without examples/demos. This means that=
 the port with 0 dependencies suddenly depends on GLUT, Xorg and who knows =
what else. What I intend to do is only enable these dependencies when requi=
red (as in, when the `EXAMPLES` -- formerly `DEMOS` -- option is enabled).<=
br>
<br>I&#39;ve tried communicating with nemysis regarding this, but he seemed=
 reluctant.<br><br>I will add the docs and demos (aka examples) soon. I don=
&#39;t know how long will it take me to sort this out, hence this version-o=
nly update.<br>
<br>Generated with FreeBSD Port Tools 0.99_8 (mode: update, diff: ports)<br=--s1BkZnXIyntO4SMw3xJJ3A5gVtr2kUZZT03tAEr2oGyBvjyZ
Content-Type: text/plain; name="ChipmunkPhysics-6.2.0.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="ChipmunkPhysics-6.2.0.patch"

diff -ruN /usr/ports/devel/ChipmunkPhysics/Makefile ./Makefile
--- /usr/ports/devel/ChipmunkPhysics/Makefile    2013-09-20
19:17:44.000000000 +0200
+++ ./Makefile    2013-10-15 15:48:22.000000000 +0200
@@ -1,19 +1,19 @@
 # Created by: Tim Cas <ports@stdrand.com>
-# $FreeBSD: devel/ChipmunkPhysics/Makefile 327726 2013-09-20 17:17:44Z
bapt $
+# $FreeBSD: head/devel/ChipmunkPhysics/Makefile 327726 2013-09-20
17:17:44Z bapt $

 PORTNAME=    ChipmunkPhysics
-PORTVERSION=    6.1.5
+PORTVERSION=    6.2.0
 CATEGORIES=    devel
 MASTER_SITES=    http://chipmunk-physics.net/release/Chipmunk-6.x/ \
+        http://files.slembcke.net/chipmunk/release/Chipmunk-6.x/ \
         http://files.libsiege.org/chipmunk/
-DISTNAME=    Chipmunk-${PORTVERSION}
+DISTNAME=    Chipmunk-${DISTVERSION}
 EXTRACT_SUFX=    .tgz

 MAINTAINER=    ports@stdrand.com
 COMMENT=    2D physics engine written in C

 LICENSE=    MIT
-LICENSE_FILE=    ${WRKSRC}/LICENSE.txt

 USES=        cmake
 CMAKE_ARGS=    -DBUILD_DEMOS=OFF
diff -ruN /usr/ports/devel/ChipmunkPhysics/distinfo ./distinfo
--- /usr/ports/devel/ChipmunkPhysics/distinfo    2013-06-11
20:44:16.000000000 +0200
+++ ./distinfo    2013-10-15 15:48:22.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (Chipmunk-6.1.5.tgz) =
c7c36bf096c6a49b8b3034268d20a28b693a763c2edf7fa350729929067d1a66
-SIZE (Chipmunk-6.1.5.tgz) = 332496
+SHA256 (Chipmunk-6.2.0.tgz) =
75fd4098b98dd23e5c1f78a1c9e3080768fb6256143e261638a624163cde5af8
+SIZE (Chipmunk-6.2.0.tgz) = 1071081
diff -ruN /usr/ports/devel/ChipmunkPhysics/pkg-descr ./pkg-descr
--- /usr/ports/devel/ChipmunkPhysics/pkg-descr    2012-12-28
16:57:37.000000000 +0100
+++ ./pkg-descr    2013-10-15 15:48:22.000000000 +0200
@@ -1,5 +1,5 @@
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
-library written in C. It's licensed under the unrestrictive, OSI approved
MIT
+library written in C. It is licensed under the unrestrictive, OSI approved
MIT
 license.

 WWW: http://chipmunk-physics.net/
diff -ruN /usr/ports/devel/ChipmunkPhysics/pkg-plist ./pkg-plist
--- /usr/ports/devel/ChipmunkPhysics/pkg-plist    2013-06-11
20:44:16.000000000 +0200
+++ ./pkg-plist    2013-10-15 15:48:22.000000000 +0200
@@ -1,4 +1,4 @@
-lib/libchipmunk.so.6.1.5
+lib/libchipmunk.so.6.2.0
 lib/libchipmunk.so
 lib/libchipmunk.a
 include/chipmunk/cpVect.h
Comment 1 William Grzybowski freebsd_committer 2013-11-09 03:43:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 william88 2013-11-10 10:51:36 UTC
Hi,

Can you attach the patch again? It was malformed in GNATS.

Thanks

-- 
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 3 ports 2013-11-10 12:36:31 UTC
I don't have access to the original patch ATM; tried to fix the file
manually, I hope I didn't miss something.

Here is the patch... you're lucky I noticed this message, it ended up
in spam for some reason, almost deleted it.

Sorry for the trouble.

On 10 November 2013 11:51, William Grzybowski <william88@gmail.com> wrote:
> Hi,
>
> Can you attach the patch again? It was malformed in GNATS.
>
> Thanks
>
> --
> William Grzybowski
> ------------------------------------------
> Curitiba/PR - Brasil
Comment 4 William Grzybowski freebsd_committer 2013-11-10 13:29:29 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter freebsd_committer 2013-11-10 13:29:33 UTC
Author: wg
Date: Sun Nov 10 13:29:26 2013
New Revision: 333390
URL: http://svnweb.freebsd.org/changeset/ports/333390

Log:
  devel/ChipmunkPhysics: update to 6.2.0
  
  - Update to 6.2.0
  - Allow staging
  
  PR:		ports/183009
  Submitted by:	maintainer

Modified:
  head/devel/ChipmunkPhysics/Makefile
  head/devel/ChipmunkPhysics/distinfo
  head/devel/ChipmunkPhysics/pkg-descr
  head/devel/ChipmunkPhysics/pkg-plist

Modified: head/devel/ChipmunkPhysics/Makefile
==============================================================================
--- head/devel/ChipmunkPhysics/Makefile	Sun Nov 10 13:26:58 2013	(r333389)
+++ head/devel/ChipmunkPhysics/Makefile	Sun Nov 10 13:29:26 2013	(r333390)
@@ -2,9 +2,10 @@
 # $FreeBSD$
 
 PORTNAME=	ChipmunkPhysics
-PORTVERSION=	6.1.5
+PORTVERSION=	6.2.0
 CATEGORIES=	devel
 MASTER_SITES=	http://chipmunk-physics.net/release/Chipmunk-6.x/ \
+		http://files.slembcke.net/chipmunk/release/Chipmunk-6.x/ \
 		http://files.libsiege.org/chipmunk/
 DISTNAME=	Chipmunk-${PORTVERSION}
 EXTRACT_SUFX=	.tgz
@@ -13,12 +14,10 @@ MAINTAINER=	ports@stdrand.com
 COMMENT=	2D physics engine written in C
 
 LICENSE=	MIT
-LICENSE_FILE=	${WRKSRC}/LICENSE.txt
 
 USES=		cmake
 CMAKE_ARGS=	-DBUILD_DEMOS=OFF
 
 USE_LDCONFIG=	yes
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/devel/ChipmunkPhysics/distinfo
==============================================================================
--- head/devel/ChipmunkPhysics/distinfo	Sun Nov 10 13:26:58 2013	(r333389)
+++ head/devel/ChipmunkPhysics/distinfo	Sun Nov 10 13:29:26 2013	(r333390)
@@ -1,2 +1,2 @@
-SHA256 (Chipmunk-6.1.5.tgz) = c7c36bf096c6a49b8b3034268d20a28b693a763c2edf7fa350729929067d1a66
-SIZE (Chipmunk-6.1.5.tgz) = 332496
+SHA256 (Chipmunk-6.2.0.tgz) = 75fd4098b98dd23e5c1f78a1c9e3080768fb6256143e261638a624163cde5af8
+SIZE (Chipmunk-6.2.0.tgz) = 1071081

Modified: head/devel/ChipmunkPhysics/pkg-descr
==============================================================================
--- head/devel/ChipmunkPhysics/pkg-descr	Sun Nov 10 13:26:58 2013	(r333389)
+++ head/devel/ChipmunkPhysics/pkg-descr	Sun Nov 10 13:29:26 2013	(r333390)
@@ -1,5 +1,5 @@
 Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
-library written in C. It's licensed under the unrestrictive, OSI approved MIT
+library written in C. It is licensed under the unrestrictive, OSI approved MIT
 license.
 
 WWW: http://chipmunk-physics.net/

Modified: head/devel/ChipmunkPhysics/pkg-plist
==============================================================================
--- head/devel/ChipmunkPhysics/pkg-plist	Sun Nov 10 13:26:58 2013	(r333389)
+++ head/devel/ChipmunkPhysics/pkg-plist	Sun Nov 10 13:29:26 2013	(r333390)
@@ -1,4 +1,4 @@
-lib/libchipmunk.so.6.1.5
+lib/libchipmunk.so.6.2.0
 lib/libchipmunk.so
 lib/libchipmunk.a
 include/chipmunk/cpVect.h
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"